package agilpizza.dao;


import static junit.framework.Assert.assertEquals;
import static junit.framework.Assert.assertNotNull;

import java.util.List;

import org.junit.AfterClass;
import org.junit.BeforeClass;
import org.junit.Test;

import agilpizza.modelo.CategoriaBebida;
import agilpizza.modelo.Bebida;

public class BebidasDAOTest {

	private static BebidasDAO dao;

	@BeforeClass
	public static void setUp() {
		dao = new BebidasDAO();
	}

	@Test
	public void testeInicializaRefrigerantes() {
		CategoriaBebida refrigerantes = dao.buscaCategoriaBebida("Refrigerantes");
		assertNotNull("Refrigerantes deve existir", refrigerantes);
		List<Bebida> refri = refrigerantes.getBebidas();
		assertEquals("Número de refrigerantes está errado", 7, refri.size());
	}
}
